var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import classnames from 'classnames';
import { useCommonStyles } from '../../styles';
import { useStyles } from './styles';
export var RowCellRenderer = function (_a) {
    var _b;
    var cell = _a.cell, CellValueRenderer = _a.CellValueRenderer, columnIndex = _a.columnIndex, columnData = _a.columnData, someRowIsDragging = _a.someRowIsDragging, otherProps = __rest(_a, ["cell", "CellValueRenderer", "columnIndex", "columnData", "someRowIsDragging"]);
    var styles = useStyles();
    var commonStyles = useCommonStyles();
    var isFirstColumn = columnIndex === 0;
    var shouldRenderCell = !someRowIsDragging || isFirstColumn;
    return (React.createElement("div", { className: classnames(styles.root, (_b = {}, _b[commonStyles.coloredCell] = isFirstColumn, _b)), "data-reltio-id": "column-name-".concat(columnData.id) }, shouldRenderCell && (React.createElement(React.Fragment, null, cell.values.map(function (value, index) { return (React.createElement(CellValueRenderer, __assign({ key: index, value: value, someRowIsDragging: someRowIsDragging }, otherProps))); })))));
};
